at.chipkarte.client.ebs.soap

## Class Leistungsverordner

- Object
- - at.chipkarte.client.ebs.soap.Leistungsverordner

-     public class Leistungsverordner
      extends Object

  Dient der Ausgabe der Daten des Verordners.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Leistungsverordner()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFachgebiet()` Fachgebiet der Verordnung.
    `KontaktdatenVerordner` | `getKontaktdatenVerordner()` Kontaktdaten des Verordners der bei der Erstellung angegeben wurden.
    `Partnerdaten` | `getPartnerdaten()` Daten des Vertragspartners.
    `VerordnerInformation` | `getVerordnerinformation()` Freitextinformationen zum Verordner.
    `void` | `setFachgebiet(String fachgebiet)`
    `void` | `setKontaktdatenVerordner(KontaktdatenVerordner kontaktdatenVerordner)`
    `void` | `setPartnerdaten(Partnerdaten partnerdaten)`
    `void` | `setVerordnerinformation(VerordnerInformation verordnerinformation)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Leistungsverordner

          public Leistungsverordner()

  - ### Method Detail

    - #### getFachgebiet

          public String getFachgebiet()

      Fachgebiet der Verordnung.
      Mögliche Werte siehe `getFachgebiete`.
      Angabe: Bedingt. Versorgt wenn der Antrag aktuell erfasst wurde oder das Fachgebiet durch den zuständigen KVT zurückgemeldet wurde.
      Returns:
        Fachgebiet.

    - #### setFachgebiet

          public void setFachgebiet(String fachgebiet)

    - #### getPartnerdaten

          public Partnerdaten getPartnerdaten()

      Daten des Vertragspartners. Siehe `Partnerdaten`.
      Angabe: Bedingt. Versorgt wenn der Antrag aktuell erfasst wurde bzw. wenn bei Nacherfassung mit VPNR oder wenn der Partner durch den zuständigen KVT zurückgemeldet wurde.
      Returns:
        Partnerdaten.

    - #### setPartnerdaten

          public void setPartnerdaten(Partnerdaten partnerdaten)

    - #### getVerordnerinformation

          public VerordnerInformation getVerordnerinformation()

      Freitextinformationen zum Verordner. Siehe `VerordnerInformation`.
      Angabe: Bedingt. Versorgt wenn der Antrag nacherfasst wurde unter Angabe der Freitextdaten des Verordners und noch keine Spezifizierung des Verordners durch den zuständigen KVT erfolgt ist.
      Returns:
        Verordnerinformation.

    - #### setVerordnerinformation

          public void setVerordnerinformation(VerordnerInformation verordnerinformation)

    - #### getKontaktdatenVerordner

          public KontaktdatenVerordner getKontaktdatenVerordner()

      Kontaktdaten des Verordners der bei der Erstellung angegeben wurden. Siehe `KontaktdatenVerordner`.
      Angabe: Kann.
      Returns:
        KontaktdatenVerordner.

    - #### setKontaktdatenVerordner

          public void setKontaktdatenVerordner(KontaktdatenVerordner kontaktdatenVerordner)